Subject: self seeding poppies

From: [email-masked] (Prathima Venkateswar)
Date: 29 Mar 1995 22:53:13 GMT

Growing up in India we had two flower beds that had poppy flowers
that reseeded. These were large red flowers. Can I get the same
effect here in Dallas? I have heard that the flowers do not run true
.... What particular species of poppies should I look for to duplicate
that here in Dallas?

Regards,
Prathima Venkateswar